Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 3589)
+++ palm/trunk/SOURCE/header.f90	(revision 3637)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Implementation of the PALM module interface
+! 
+! 3589 2018-11-30 15:09:51Z suehring
 ! Move the control parameter "salsa" from salsa_mod to control_parameters 
 ! (M. Kurppa)
@@ -420,12 +423,6 @@
         ONLY:  g, kappa, l_v
 
-    USE biometeorology_mod,                                                    &
-        ONLY:  bio_header
-
     USE bulk_cloud_model_mod,                                                  &
-        ONLY:  bulk_cloud_model, bcm_header
-
-    USE chemistry_model_mod,                                                   &
-        ONLY:  chem_header
+        ONLY:  bulk_cloud_model
 
     USE control_parameters
@@ -439,37 +436,25 @@
     USE dvrp_variables,                                                        &
         ONLY:  use_seperate_pe_for_dvrp_output
-        
-    USE flight_mod,                                                            &
-        ONLY:  flight_header
-        
+
     USE grid_variables,                                                        &
         ONLY:  dx, dy
-
-    USE gust_mod,                                                              &
-        ONLY: gust_header, gust_module_enabled
 
     USE indices,                                                               &
         ONLY:  mg_loc_ind, nnx, nny, nnz, nx, ny, nxl_mg, nxr_mg, nyn_mg,      &
                nys_mg, nzt, nzt_mg
-        
+
     USE kinds
- 
-    USE land_surface_model_mod,                                                &
-        ONLY: lsm_header
-
-    USE lsf_nudging_mod,                                                       &
-        ONLY:  lsf_nudging_header
 
     USE model_1d_mod,                                                          &
         ONLY:  damp_level_ind_1d, dt_pr_1d, dt_run_control_1d, end_time_1d
 
+    USE module_interface,                                                      &
+        ONLY:  module_interface_header
+
     USE netcdf_interface,                                                      &
         ONLY:  netcdf_data_format, netcdf_data_format_string, netcdf_deflate
 
-    USE nesting_offl_mod,                                                      &
-        ONLY:  nesting_offl_header
-
     USE ocean_mod,                                                             &
-        ONLY:  ibc_sa_t, ocean_header, prho_reference, sa_surface,             &
+        ONLY:  ibc_sa_t, prho_reference, sa_surface,                           &
                sa_vertical_gradient, sa_vertical_gradient_level,               &
                sa_vertical_gradient_level_ind
@@ -487,9 +472,6 @@
                total_number_of_particles, use_sgs_for_particles,               &
                vertical_particle_advection, write_particle_statistics
-        
+
     USE pegrid
-
-    USE plant_canopy_model_mod,                                                &
-        ONLY:  pcm_header
 
 #if defined( __parallel )
@@ -501,18 +483,6 @@
         ONLY:  nested_run, nesting_datatransfer_mode, nesting_mode
 
-    USE radiation_model_mod,                                                   &
-        ONLY:  radiation, radiation_header
-               
-    USE salsa_mod,                                                             &
-        ONLY:  salsa_header        
-    
-    USE spectra_mod,                                                           &
-        ONLY:  calculate_spectra, spectra_header
-
     USE surface_mod,                                                           &
         ONLY:  surf_def_h, get_topography_top_index_ji
-
-    USE synthetic_turbulence_generator_mod,                                    &
-        ONLY:  stg_header
 
     USE turbulence_closure_mod,                                                &
@@ -935,12 +905,4 @@
 
 !
-!-- Large scale forcing and nudging
-    IF ( large_scale_forcing )  CALL lsf_nudging_header( io )
-
-!
-!-- Offline nesting 
-    IF ( nesting_offline )  CALL nesting_offl_header( io )
-
-!
 !-- Profile for the large scale vertial velocity
 !-- Building output strings, starting with surface value
@@ -1161,16 +1123,4 @@
        ENDIF
     ENDIF
-
-!
-!-- Header information from other modules
-    IF ( biometeorology      )  CALL bio_header ( io )
-    IF ( gust_module_enabled )  CALL gust_header( io )
-    IF ( land_surface        )  CALL lsm_header( io )
-    IF ( ocean_mode          )  CALL ocean_header( io )
-    IF ( plant_canopy        )  CALL pcm_header( io )
-    IF ( radiation           )  CALL radiation_header( io )
-    IF ( syn_turb_gen        )  CALL stg_header( io )
-
-    IF ( air_chemistry )  CALL chem_header ( io )
 !
 !-- Boundary conditions
@@ -1924,11 +1874,5 @@
     ENDIF
 #endif
-!
-!-- Output of virtual flight information
-    IF ( virtual_flight )  CALL flight_header( io )
-
-!
-!-- Output of spectra related quantities
-    IF ( calculate_spectra )  CALL spectra_header( io )
+
 
     WRITE ( io, 99 )
@@ -1958,8 +1902,4 @@
        ENDIF
     ENDIF
-
-!
-!-- Output of microphysics information
-    IF ( bulk_cloud_model )  CALL bcm_header( io )
 
 !
@@ -2083,12 +2023,9 @@
        ENDIF
     ENDIF
-    
-!
-!-- SALSA information
-    IF ( salsa )  CALL salsa_header( io ) 
-
-!
-!-- User-defined information
-    CALL user_header( io )
+
+!
+!-- Header information from other modules
+    CALL module_interface_header( io )
+
 
     WRITE ( io, 99 )
